import { type SubscriptionEntity } from '../entities/subscription.entity';

export const SUBSCRIPTION_REPOSITORY = Symbol('SUBSCRIPTION_REPOSITORY');

export interface ISubscriptionRepository {
  findById(id: string): Promise<SubscriptionEntity | null>;
  findByUserId(userId: string): Promise<SubscriptionEntity | null>;
  save(subscription: SubscriptionEntity): Promise<void>;
  update(subscription: SubscriptionEntity): Promise<void>;
}
